Subject: bug#39797: Emacs crashes when using Noto Color Emoji font

From: Mike FABIAN <[email-masked]>
Date: Wed, 26 Feb 2020 14:35:20 +0100

Mike FABIAN <[email-masked]> さんはかきました:

> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37786
>
> seems related and
>
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37786#49
>
> says 
>
>     Fixed by adding "Noto Color Emoji" to face-ignored-fonts
>     instead. Closing.
>     
>     Committed as eae50e88ef
>
> but although I have commit eae50e88ef it still crashes for me.

I made a mistake, I compiled from git master but then used an older
installation for testing.

It *does* work with git master.

As can be seen in the attached screenshot, Emacs can display colour
emoji in the buffer. The screenshot uses the “Joypixels” font (Version
5.5), but it works with “Noto Color Emoji” as well. I just tested wrong.

Some sequences like

👩‍🦰 U+1F469 U+200D U+1F9B0 woman: red hair
🧑‍🦰 U+1F9D1 U+200D U+1F9B0 person: red hair

don’t render correctly in the screenshot, although they work
using the same (“Joypixels”) font in gedit. But that is a different
problem …

So I think this bug here can be closed.

-- 
Mike FABIAN <[email-masked]>